//importing the json and topojson 
import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson'; 

//svg attributes
const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

//using geoNatural function
const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

svg.append('path')//for the path for the world map
		.attr('class', 'sphere')// for the shape of the map
		.attr('d', pathGenerator({type: 'Sphere'}));//for the attribute sphere
//below is the link for the json data with country names and the coordinates for the world map
json('https://gist.githubusercontent.com/Snigdha6698/679713df94930bb4b3090bcf6f2ae1ed/raw/4fc8bf5fe8ae70b87f9a5bfb7f41a30e60b81f33/ICE7.json')
		.then(data => {//for displaying the countries
  			const countries = feature(data, data.objects.countries);
  // below lines are used for printing the world map with its respective boundries
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









